Create Subline Term Commit Using POST

Create Subline Term Commit Using POST

Create a product commitment. Pre-authorized roles: Operations

Request
URI
POST
https://{api_host}//vcp.vmware.com/api/provider/v1/contracts/{contractId}/productCommitments
COPY
Path Parameters
string
contractId
Required

Contract id

contractId example
630c2f68-xxxx-xxxx-xxxx-61f8245eaca1

Request Body

request

ProductCommitmentCreateRequest of type(s) application/json
Required
{
    "customerId": "c7240730-xxxx-xxxx-xxxx-250300000003",
    "product": "VR-OSTACK4-C",
    "uom": "GB vRAM",
    "quantity": 100,
    "bol": "2025-01",
    "term": "YEAR_1",
    "name": "my_commitment_1",
    "payment": "MONTHLY"
}
string
customerId
Required

customerId

string
product
Required

product

string
uom
Required

uom

number
quantity
Required

Quantity of every month

string
bol
Required

Begin month of the commitment

string
term
Required

term

Possible values are : YEAR_1, YEAR_3, YEAR_4, YEAR_5,
string
name
Required

name

string
payment
Required

payment

Responses
200

OK

Returns ProductCommitment of type(s) application/json
{
    "id": "775dc4c1-xxxx-xxxx-xxxx-8328ac75e878",
    "name": "my_commitment_1",
    "bol": "2025-01",
    "eol": "2025-12",
    "commitment": [
        {
            "beginMonth": "2025-01",
            "endMonth": "2025-12",
            "quantity": 100
        }
    ],
    "product": {
        "id": "892ae1d0-xxxx-xxxx-xxxx-f04b00000005",
        "code": "VR-OSTACK4-C",
        "name": "VMware Integrated OpenStack"
    },
    "uom": "GB vRAM",
    "customer": {
        "id": "c7240730-xxxx-xxxx-xxxx-250300000003",
        "customerNumber": 1000000001,
        "name": "Steven"
    },
    "payment": "MONTHLY",
    "status": "ACTIVE",
    "term": "YEAR_1"
}
string
id
Optional

id

string
name
Optional

Commitment name

string
bol
Optional

Begin month of the commitment

string
eol
Optional

End month of the commitment

array of Commitment
commitment
Optional

commitment

product
Optional

product

string
uom
Optional

uom

customer
Optional

customer

string
payment
Optional

payment

string
status
Optional

status

Possible values are : ACTIVE, COMPLETED,
string
term
Optional

term

Possible values are : YEAR_1, YEAR_3, YEAR_4, YEAR_5,

400

Bad Request

Operation doesn't return any data structure

401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure